Page MenuHomePhabricator

(Need By: ASAP) install additional SSDs into prometheus200[34]
Closed, ResolvedPublic

Description

This task will track adding new ssds to prometheus200[34].

Hostname / Racking / Installation Details

Both prometheus200[34] have only 2 SSDs installed, and this order will allow 2 more (with drive sleds) to be installed into each host. Then the host can be handed off to @fgiunchedi to determine how/when to expand into the additional storage.

Per host setup checklist

Each host should have its own setup checklist copied and pasted into the list below.

prometheus2003:

  • - receive in SSDS on procurement task T251291
  • - install 2 additional SSDS into this host
  • - hand off to @fgiunchedi

prometheus2004:

  • - receive in SSDS on procurement task T251291
  • - install 2 additional SSDS into this host
  • - hand off to @fgiunchedi

Please note when all above steps are done, this task will be immediately resolved.

Event Timeline

RobH created this task.May 1 2020, 4:43 PM
Restricted Application added a project: Operations. · View Herald TranscriptMay 1 2020, 4:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
RobH added a parent task: Unknown Object (Task).May 1 2020, 4:43 PM
RobH moved this task from Backlog to Racking Tasks on the ops-codfw board.
RobH removed a subscriber: RobH.

AFAIK adding the SSDs can be done without taking the hosts out of service, if that's not the case please let me know! Once installed I'll take care of the raid configuration.

fgiunchedi renamed this task from (Need By: TDB) install additional SSDs into prometheus200[34] to (Need By: ASAP) install additional SSDs into prometheus200[34].May 4 2020, 12:02 PM
Papaul reassigned this task from Papaul to fgiunchedi.May 19 2020, 2:07 PM
Papaul updated the task description. (Show Details)
Papaul added a subscriber: Papaul.

@fgiunchedi All your's

fgiunchedi added a comment.EditedMay 19 2020, 3:02 PM

Thanks @Papaul ! For reference, on prometheus2003 the new disks showed up as id 6 and 7:

[31202132.964716] sd 0:0:6:0: [sdc] 3750748848 512-byte logical blocks: (1.92 TB/1.75 TiB)
[31202142.984974] sd 0:0:7:0: [sdd] 3750748848 512-byte logical blocks: (1.92 TB/1.75 TiB)

Thus we're marking them 'Good' and creating a new VD, finally extend the ssd vg with the new device:

megacli -PDMakeGood '-PhysDrv[32:6,32:7]' -Force -a0
megacli -CfgLdAdd '-r1[32:6,32:7]' -a0
# [31205066.928600] sd 0:2:2:0: [sdc] 3749445632 512-byte logical blocks: (1.92 TB/1.75 TiB)
echo 'type=8e' | sfdisk /dev/sdc
pvcreate /dev/sdc1
vgextend vg-ssd /dev/sdc1
# vgs
  VG     #PV #LV #SN Attr   VSize VFree
  vg-hdd   1   3   0 wz--n- 3.64t 3.06t
  vg-ssd   2   4   0 wz--n- 3.16t 2.25t
fgiunchedi closed this task as Resolved.May 19 2020, 3:04 PM

All done!